weka.classifiers.functions

## Class SMO.BinarySMO

- java.lang.Object
- - weka.classifiers.functions.SMO.BinarySMO

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    SMO

      public class SMO.BinarySMO
      extends java.lang.Object
      implements java.io.Serializable

  Class for building a binary support vector machine.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SMO.BinarySMO()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Kernel` | `getKernel()` Returns the kernel to use
    `java.lang.String` | `getRevision()` Returns the revision string.
    `void` | `setKernel(Kernel value)` sets the kernel to use
    `double` | `SVMOutput(int index, Instance inst)` Computes SVM output for given instance.
    `java.lang.String` | `toString()` Prints out the classifier.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SMO.BinarySMO

          public SMO.BinarySMO()

  - ### Method Detail

    - #### setKernel

          public void setKernel(Kernel value)

      sets the kernel to use
      Parameters:
        `value` - the kernel to use

    - #### getKernel

          public Kernel getKernel()

      Returns the kernel to use
      Returns:
        the current kernel

    - #### SVMOutput

          public double SVMOutput(int index,
                         Instance inst)
                           throws java.lang.Exception

      Computes SVM output for given instance.
      Parameters:
        `index` - the instance for which output is to be computed
        `inst` - the instance
      Returns:
        the output of the SVM for the given instance
      Throws:
        `java.lang.Exception` - in case of an error

    - #### toString

          public java.lang.String toString()

      Prints out the classifier.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a description of the classifier as a string

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Returns:
        the revision